aneyman <- function(X,Y,maxdim)
{  #X is the input matrix for the first group:  T x n_1
   #Y is the input matrix for the secod group:  T x n_2
   #maxdim is the number of the maximum frequency to be tested.
   #maxdim = L/2 seems a good choice, but you are welcome to use maxdim = L
   X <- apply(X,2,fft)                 #sum( exp(-2*pi* i*(0:(T-1))/T j)*X )
   Y <- apply(Y,2,fft)
   L <- nrow(X)
   R1 <- Re(X); I1 <- Im(X)
   R2 <- Re(Y); I2 <- Im(Y)
   X <- R1; Y <- R2
   index <- seq(2,L,2)
   X[index,] <- R1[2:floor(L/2+1),]
   Y[index,] <- R2[2:floor(L/2+1),]
   index <- seq(3,L,2)
   X[index, ] <- I1[2:floor(L/2+0.5),]
   Y[index, ] <- I2[2:floor(L/2+0.5),]
   R1 <- apply(X,1,mean)
   R2 <- apply(Y,1,mean)
   I1 <- apply(X,1,var)
   I2 <- apply(Y,1,var)
   stddiff <- (R1-R2)/sqrt(I1/ncol(X)+I2/ncol(Y))
   n <- maxdim
   stddiff <- stddiff[1:n]
   stddiff <- cumsum(stddiff^2-1)/sqrt(2*(1:n))
   mhat <- order(stddiff)[n] 
   ANT <-  sqrt(2* log(log(n))) *stddiff - (2*log(log(n))+ 
	     0.5*log(log(log(n))) - 0.5*log(4*pi) )
   list(mhat=mhat, ANT=ANT[mhat])
}
